Bug 167239 - [NEW PORT] games/tanglet: Tanglet is a single player word finding game based on Boggle
Summary: [NEW PORT] games/tanglet: Tanglet is a single player word finding game based ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-23 19:10 UTC by nemysis
Modified: 2012-05-15 01:00 UTC (History)
0 users

See Also:


Attachments
.shar (4.84 KB, text/plain)
2012-04-23 19:10 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-04-23 19:10:09 UTC
Tanglet is a single player word finding game based on Boggle.
The object of the game is to list as many words as you can before the time
runs out. There are several timer modes that determine how much time you
start with, and if you get extra time when you find a word.

You can join letters horizontally, vertically, or diagonally in any directi=
on
to make a word, so as long as the letters are next to each other on the boa=
rd.
However, you can not reuse the same letter cells in a single word.
Also, each word must be at least three letters on a normal board,
and four letters on a large board.

WWW: http://gottcode.org/tanglet/

Generated with FreeBSD Port Tools 0.99_5 (mode: new)
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2012-04-28 23:11:08 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

Rescue from pending
Comment 2 nemysis 2012-05-03 01:58:34 UTC
--- .shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tanglet
#	tanglet/Makefile
#	tanglet/pkg-descr
#	tanglet/distinfo
#	tanglet/pkg-plist
#
echo c - tanglet
mkdir -p tanglet > /dev/null 2>&1
echo x - tanglet/Makefile
sed 's/^X//' >tanglet/Makefile << '8eb61612d760c491fdcd39ca733018fa'
X# New Ports collection makefile for:	tanglet
X# Date created:		2012-04-21
X# Whom:			nemysis@gmx.ch
X#
X# $FreeBSD$
X#
X
XPORTNAME=	tanglet
XPORTVERSION=	1.2.1
XCATEGORIES=	games
XMASTER_SITES=	http://gottcode.org/${PORTNAME}/
XEXTRACT_SUFX=	-src.tar.bz2
X
XMAINTAINER=	nemysis@gmx.ch
XCOMMENT=	Tanglet is a single player word finding game based on Boggle
X
XLICENSE=	GPLv3
X
XUSE_QT_VER=	4
XQT_COMPONENTS=	moc_build qmake_build rcc_build uic_build iconengines imageformats
X
XHAS_CONFIGURE=	yes
X
Xdo-configure:
X	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
X		${QMAKE} PREFIX=${PREFIX} ${WRKSRC}/${PORTNAME}.pro
X
XCONFIGURE_ENV+=	UIC="${UIC}" QMAKE="${QMAKE}" QMAKESPEC="${QMAKESPEC}"
XMAKE_ENV+=	QMAKESPEC="${QMAKESPEC}"
X
XPORTDATA=	*
XPORTDOCS=	CREDITS ChangeLog INSTALL
X
XUSE_GMAKE=	yes
XMAKE_JOBS_SAFE=	yes
X
Xdo-install:
X# Executable
X	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
X
X# Icons
X	${MKDIR} ${PREFIX}/share/icons/hicolor
X.for d in icons/hicolor
X	${CP} -R ${WRKSRC}/${d}/ ${PREFIX}/share/icons/hicolor
X.endfor
X
X# Pixmaps and Desktop
X	${CP} ${WRKSRC}/icons/${PORTNAME}_32.xpm ${PREFIX}/share/pixmaps/
X	${MKDIR} ${PREFIX}/share/applications
X	${CP} ${WRKSRC}/icons/${PORTNAME}.desktop ${PREFIX}/share/applications/
X
Xpost-install:
X# Data
X.if !defined (NOPORTDATA)
X	${MKDIR} ${DATADIR}
X	${MKDIR} ${DATADIR}/icons
X.for d in data translations
X	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${d} ${DATADIR})
X.endfor
X	@(cd ${WRKSRC} && ${COPYTREE_SHARE} icons/preview ${DATADIR})
X	@(cd ${WRKSRC} && ${COPYTREE_SHARE} icons/tango ${DATADIR})
X.endif
X
X# Documentations
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X.  for f in ${PORTDOCS}
X	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
X.  endfor
X.endif
X
X.include <bsd.port.mk>
8eb61612d760c491fdcd39ca733018fa
echo x - tanglet/pkg-descr
sed 's/^X//' >tanglet/pkg-descr << '94f429f69ecec1dd34614fdeac84ee58'
XTanglet is a single player word finding game based on Boggle.
XThe object of the game is to list as many words as you can before the time
Xruns out. There are several timer modes that determine how much time you
Xstart with, and if you get extra time when you find a word.
X
XYou can join letters horizontally, vertically, or diagonally in any direction
Xto make a word, so as long as the letters are next to each other on the board.
XHowever, you can not reuse the same letter cells in a single word.
XAlso, each word must be at least three letters on a normal board,
Xand four letters on a large board.
X
XWWW: http://gottcode.org/tanglet/
94f429f69ecec1dd34614fdeac84ee58
echo x - tanglet/distinfo
sed 's/^X//' >tanglet/distinfo << 'f3ae978aa69c18c84d87def6d62499fe'
XSHA256 (tanglet-1.2.1-src.tar.bz2) = 94f4c5c76020ec1fe502ff076fbe5471e497d4b7bcabd1e9059e1022d1ce80c8
XSIZE (tanglet-1.2.1-src.tar.bz2) = 7814483
f3ae978aa69c18c84d87def6d62499fe
echo x - tanglet/pkg-plist
sed 's/^X//' >tanglet/pkg-plist << 'cf735418a3eea772c2b3e140dee036d4'
Xbin/tanglet
Xshare/applications/tanglet.desktop
Xshare/icons/hicolor/128x128/apps/tanglet.png
Xshare/icons/hicolor/16x16/apps/tanglet.png
Xshare/icons/hicolor/22x22/apps/tanglet.png
Xshare/icons/hicolor/24x24/apps/tanglet.png
Xshare/icons/hicolor/256x256/apps/tanglet.png
Xshare/icons/hicolor/32x32/apps/tanglet.png
Xshare/icons/hicolor/48x48/apps/tanglet.png
Xshare/icons/hicolor/64x64/apps/tanglet.png
Xshare/icons/hicolor/scalable/apps/tanglet.svg
Xshare/pixmaps/tanglet_32.xpm
X@dirrmtry share/icons/hicolor/scalable/apps
X@dirrmtry share/icons/hicolor/scalable
X@dirrmtry share/icons/hicolor/64x64/apps
X@dirrmtry share/icons/hicolor/64x64
X@dirrmtry share/icons/hicolor/48x48/apps
X@dirrmtry share/icons/hicolor/48x48
X@dirrmtry share/icons/hicolor/32x32/apps
X@dirrmtry share/icons/hicolor/32x32
X@dirrmtry share/icons/hicolor/256x256/apps
X@dirrmtry share/icons/hicolor/256x256
X@dirrmtry share/icons/hicolor/24x24/apps
X@dirrmtry share/icons/hicolor/24x24
X@dirrmtry share/icons/hicolor/22x22/apps
X@dirrmtry share/icons/hicolor/22x22
X@dirrmtry share/icons/hicolor/16x16/apps
X@dirrmtry share/icons/hicolor/16x16
X@dirrmtry share/icons/hicolor/128x128/apps
X@dirrmtry share/icons/hicolor/128x128
X@dirrmtry share/icons/hicolor
X@dirrmtry share/icons
X@dirrmtry share/applications
cf735418a3eea772c2b3e140dee036d4
exit
--- .shar ends here ---
Comment 3 Dmitry Marakasov freebsd_committer 2012-05-12 21:34:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 Dmitry Marakasov freebsd_committer 2012-05-15 00:59:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2012-05-15 00:59:16 UTC
amdmi3      2012-05-14 23:59:03 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/tanglet        Makefile distinfo pkg-descr pkg-plist 
  Log:
  Tanglet is a single player word finding game based on Boggle. The
  object of the game is to list as many words as you can before the
  time runs out. There are several timer modes that determine how
  much time you start with, and if you get extra time when you find
  a word.
  
  You can join letters horizontally, vertically, or diagonally in any
  direction to make a word, so as long as the letters are next to
  each other on the board. However, you can not reuse the same letter
  cells in a single word. Also, each word must be at least three
  letters on a normal board, and four letters on a large board.
  
  WWW: http://gottcode.org/tanglet/
  
  PR:             167239
  Submitted by:   nemysis <nemysis@gmx.ch>
  
  Revision  Changes    Path
  1.1424    +1 -0      ports/games/Makefile
  1.1       +61 -0     ports/games/tanglet/Makefile (new)
  1.1       +2 -0      ports/games/tanglet/distinfo (new)
  1.1       +13 -0     ports/games/tanglet/pkg-descr (new)
  1.1       +33 -0     ports/games/tanglet/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"